#include "domgestionerror.h"


DOMGestionError::DOMGestionError()
{
	existenErrores=false;
}
DOMGestionError::~DOMGestionError()
{
}

bool DOMGestionError::handleError(const DOMError& domError)
{
	#define MAX_LONG_CADENA_TEMPORAL 30
	char linea_error[MAX_LONG_CADENA_TEMPORAL]		="Linea:";
	char columna_error[MAX_LONG_CADENA_TEMPORAL]	="Columna:";
	char nodo_error[MAX_LONG_CADENA_TEMPORAL]		="Nodo:";
	//const char *nombreNodo=XMLString::transcode (nodo->getNodeName());
	existenErrores=true;
	const char* error= XMLString::transcode ( domError.getMessage() );
	int linea = domError.getLocation()->getLineNumber();
	int columna=domError.getLocation()->getColumnNumber();
	sprintf (linea_error, "Linea:%i ", linea);
	sprintf (columna_error, "Columna:%i ", columna);
	sprintf (nodo_error, "Error:%s", error);
	
	strcpy ( this->error, linea_error );
	strcat ( this->error, columna_error );
	strcat ( this->error, nodo_error );
	/*	Indicando false solicitamos al parser
		que no debe continuar procesando */
	return false;
	
}

bool DOMGestionError::hayErrores()
{
	/*
	cout << "El gestor devuelve" ;
	if (existenErrores) {
		cout << "true" << endl ;
	}
	else {
		cout << "false" << endl ;
	}
	*/
	return existenErrores;
}
char* DOMGestionError::getError()
{
	return error;
}
