#include "correspondencia.h"
using namespace std;
Correspondencia::Correspondencia()
{
	this->pos_en_el_elemento 	= -1;
	this->pos_en_el_sistema		= -1;
}
Correspondencia::Correspondencia(Elemento* e, 
	t_posicion pos_elemento, t_posicion pos_sistema, Conector* c)
{
	this->elemento 				= e;
	this->pos_en_el_elemento 	= pos_elemento;
	this->pos_en_el_sistema		= pos_sistema;
	this->conector				= c;
}
Elemento* Correspondencia::getElemento()
{
	return this->elemento;
}

t_posicion Correspondencia::getPosElemento()
{
	return this->pos_en_el_elemento;
}

t_posicion Correspondencia::getPosSistema()
{
	return this->pos_en_el_sistema;
}

Conector* Correspondencia::getConector()
{
	return this->conector;
}

bool Correspondencia::contiene(Elemento* e)
{
	if (e == this->elemento) return true;
	return false;
}
